Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problema con emerge mozilla-firefox-bin 2
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
light108
n00b
n00b


Joined: 20 Dec 2005
Posts: 45
Location: italy

PostPosted: Sat Mar 03, 2007 12:44 pm    Post subject: problema con emerge mozilla-firefox-bin 2 Reply with quote

salve ieri ho provato ad emergere i binari di firefox ma mi sono accorto che scarica e cerca di compilare gcc 3.3.6 r1 ma ad un certo punto mi da quest'errore

Code:
make CC=" stage1/xgcc -Bstage1/ -B/usr/i686-pc-linux-gnu/bin/" \
         STAGE_PREFIX=stage1/ \
         ADAC="\$(CC)" AR_FOR_TARGET="ar" RANLIB_FOR_TARGET="ranlib" CFLAGS="-O2 -march=pentium-m -piT_WARN="-Wtraditional -pedantic -Wno-long-long" libdir=/usr/lib LANGUAGES="c gcov c++ f77 proto" MAKE
make[2]: Entering directory `/var/tmp/portage/sys-devel/gcc-3.3.6-r1/work/build/gcc'
stage1/xgcc -Bstage1/ -B/usr/i686-pc-linux-gnu/bin/ -c    -O2 -march=pentium-m -pipe -DIN_GCC   -W -Wotypes -Wtraditional -pedantic -Wno-long-long   -DHAVE_CONFIG_H -DGENERATOR_FILE    -I. -I. -I/var/tm/var/tmp/portage/sys-devel/gcc-3.3.6-r1/work/gcc-3.3.6/gcc/. -I/var/tmp/portage/sys-devel/gcc-3.3.6-rel/gcc-3.3.6-r1/work/gcc-3.3.6/gcc/../include /var/tmp/portage/sys-devel/gcc-3.3.6-r1/work/gcc-3.3.6/
cc1: error: bad value (pentium-m) for -march= switch
cc1: error: bad value (pentium-m) for -mcpu= switch
make[2]: *** [gengenrtl.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/sys-devel/gcc-3.3.6-r1/work/build/gcc'
make[1]: *** [stage2_build] Error 2
make[1]: Leaving directory `/var/tmp/portage/sys-devel/gcc-3.3.6-r1/work/build/gcc'
make: *** [bootstrap-lean] Error 2

!!! ERROR: sys-devel/gcc-3.3.6-r1 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 5369:   Called src_compile
  ebuild.sh, line 1304:   Called toolchain_src_compile
  toolchain.eclass, line 24:   Called gcc_src_compile
  toolchain.eclass, line 1548:   Called gcc_do_make
  toolchain.eclass, line 1422:   Called die

!!! emake failed with bootstrap-lean
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/sys-devel/gcc-3.3.6-r1/temp/build.log'.


è normale che compila un gcc vecchio? e come mai mi da quell'errore?
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Sat Mar 03, 2007 1:08 pm    Post subject: Reply with quote

a) gcc-config -l cosa dice?
b) USE="-glibc-compat20"
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
light108
n00b
n00b


Joined: 20 Dec 2005
Posts: 45
Location: italy

PostPosted: Sat Mar 03, 2007 1:40 pm    Post subject: Reply with quote

Code:
 # gcc-config -l
 [1] i686-pc-linux-gnu-4.1.1 *

usando
Code:
 # USE="-glibc-compat20" emerge mozilla-firefox-bin

mi da lo stesso errore
_________________
Compaq nx 7300
Intel celeron m 430 @ 1.73 Ghz
Broadcom dell 1390 wireless mini-pci (pci-ex)
intel Corporation Mobile 945GM Graphics Controller
HD sata 60 gb
Gentoo linux 2006.1
Back to top
View user's profile Send private message
crisandbea
Veteran
Veteran


Joined: 03 Jul 2005
Posts: 1778
Location: BOSCO (SA) ... ma domiciliato a Bologna....

PostPosted: Sat Mar 03, 2007 1:48 pm    Post subject: Reply with quote

light108 wrote:
Code:
 # gcc-config -l
 [1] i686-pc-linux-gnu-4.1.1 *

usando
Code:
 # USE="-glibc-compat20" emerge mozilla-firefox-bin

mi da lo stesso errore


prova a dare un
Code:
emerge --sync
poi un
Code:
emerge -pvtDuN world


vediamo che dice.

ciao
Back to top
View user's profile Send private message
Luca89
Advocate
Advocate


Joined: 27 Apr 2005
Posts: 2107
Location: Agrigento (Italy)

PostPosted: Sat Mar 03, 2007 4:53 pm    Post subject: Reply with quote

Invece di gcc-3.3 installa questo pacchetto:
Code:
emerge -1 sys-libs/libstdc++-v3


Dovrebbe soddisfare lo stesso le dipendenze di mozilla-firefox-bin e magari da meno problemi.
_________________
Running Fast!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum